%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           python-ctypes
Version:        1.0.0
Release:        1%{?dist}
Summary:        Advanced Foreign Function Interface for Python

Group:          Development/Languages
License:        MIT
URL:            http://starship.python.net/crew/theller/ctypes/
Source0:        http://download.sourceforge.net/ctypes/ctypes-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel
Requires:       python-abi = %(%{__python} -c "import sys ; print sys.version[:3]")

%description
ctypes is an advanced ffi (Foreign Function Interface) package for
Python 2.3 and higher.
ctypes allows to call functions exposed from dlls/shared libraries
and has extensive facilities to create, access and manipulate
simple and complicated C data types in Python - in other words:
wrap libraries in pure Python.  It is even possible to implement C
callback functions in pure Python.


%prep
%setup -q -n ctypes-%{version}


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
# Clean up temp and build for debuginfo
%{__python} setup.py clean

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc LICENSE.txt README.txt docs
# Include files and dirs below %{python_sitelib} (for noarch packages) and
# %{python_sitearch} (for arch-dependent packages) as appropriate, and mark
# *.pyo as %ghost (do not include in package).
%{python_sitearch}/*.so
%dir %{python_sitearch}/ctypes
%{python_sitearch}/ctypes/*.py
%{python_sitearch}/ctypes/*.pyc
%{python_sitearch}/ctypes/*.pyo
%dir %{python_sitearch}/ctypes/macholib
%{python_sitearch}/ctypes/macholib/*.py
%{python_sitearch}/ctypes/macholib/*.pyc
%{python_sitearch}/ctypes/macholib/*.pyo
#Don't package the test suite
%exclude %{python_sitearch}/ctypes/test


%changelog
* Thu Sep 07 2006 Paul Nasrat <pnasrat@redhat.com> - 1.0.0-1
- Update to 1.0.0
- Include pyo files (#205409)

* Thu Apr 27 2006 Paul Nasrat <pnasrat@redhat.com> - 0.9.9.6-1
- Update to latest release

* Sat Jan 14 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.9.6-1
- Initial packaging.

